tied_sound = 'quake/tied_for_lead.wav'    #  |
leading_sound = 'quake/take_the_lead.wav' #  | - The location of the sounds, relative to cstrike/sounds/
lost_sound = 'quake/lost_the_lead.wav'    #  |


import es, gungamelib

info = es.AddonInfo()
info.name     = 'GunGame Leader Sounds'
info.version  = '1.0'
info.url      = 'http://www.danielb.co.nr'
info.basename = 'gungame/custom_addons/gg_quake'
info.author   = 'DanielB'


def gg_tied_leader(event_var):
    for player in gungamelib.leaders.leaders:
        es.playsound(player, tied_sound, 1)

def gg_new_leader(event_var):
    newLeader = event_var['userid']
    oldLeaders = filter(lambda x: str(x) != newLeader, gungamelib.leaders.oldLeaders)
    if oldLeaders:
        es.playsound(newLeader, leading_sound, 1)
    for player in oldLeaders:
        es.playsound(player, lost_sound, 1)

def downloads():
    es.stringtable('downloadables', 'sound/' + tied_sound)
    es.stringtable('downloadables', 'sound/' + leading_sound)
    es.stringtable('downloadables', 'sound/' + lost_sound)

def es_map_start(ev):
    downloads()

def load():
    downloads() 